# TdApi.TestProxy (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: TestProxy

Package it.tdlight.jni

# Class TdApi.TestProxy

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.TestProxy

Enclosing class:
  TdApi

    public static class TdApi.TestProxy
    extends TdApi.Function

Sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `dcId` | Identifier of a datacenter, with which to test connection.
`int` | `port` | Proxy server port.
`String` | `server` | Proxy server IP address.
`double` | `timeout` | The maximum overall timeout for the request.
`TdApi.ProxyType` | `type` | Proxy type.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TestProxy()` | Sends a simple network request to the Telegram servers via proxy; for testing only.
`TestProxy​(DataInput input)` |
`TestProxy​(String server, int port, TdApi.ProxyType type, int dcId, double timeout)` | Sends a simple network request to the Telegram servers via proxy; for testing only.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### server

public String server
Proxy server IP address.

### port

public int port
Proxy server port.

### type

public TdApi.ProxyType type
Proxy type.

### dcId

public int dcId
Identifier of a datacenter, with which to test connection.

### timeout

public double timeout
The maximum overall timeout for the request.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### TestProxy

public TestProxy()
Sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

Returns `Ok`

### TestProxy

public TestProxy​(String server, int port, TdApi.ProxyType type, int dcId, double timeout)
Sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

Returns `Ok`

Parameters:
  `server` - String Proxy server IP address.
  `port` - int Proxy server port.
  `type` - ProxyType Proxy type.
  `dcId` - int Identifier of a datacenter, with which to test connection.
  `timeout` - double The maximum overall timeout for the request.

### TestProxy

public TestProxy​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`